<?
$corec = $_SERVER['DOCUMENT_ROOT'];
require_once $corec.'/sys/inc/core.php';
#===================

only_reg();
if (!isset($_GET['year']) && !is_numeric($_GET['year'])){header("Location: /index.php?".SID);exit;}
if (mysql_result(mysql_query("SELECT COUNT(*) FROM `user` WHERE `id` = '".intval($_GET['year'])."' LIMIT 1",$db), 0)==0){header("Location: /index.php?".SID);exit;}
$ank=get_user(intval($_GET['year']));

$set['title']="Новогодний подарок/".htmlspecialchars($ank['nick'])."";
require_once $corec.'/sys/inc/thead.php';
title();



if(isset($_GET['gift']) &&  mysql_result(mysql_query("SELECT COUNT(*) FROM `new_year` WHERE `id` = '".intval($_GET['gift'])."'"),0))
{
$gift=mysql_fetch_array(mysql_query("select * from `new_year` where `id`='".intval($_GET['gift'])."'"));
if($gift['copy'] < 1)
{
msg('У вас не достаточно подарков');
mysql_query("DELETE FROM `new_year` WHERE `id` ='$gift[id]'");
require_once $corec.'/sys/inc/tfoot.php';
}
if(isset($_POST['komm']))
{
$komm=mysql_real_escape_string($_POST['komm']);
if (strlen2($komm)>150)$err='Комментарий превышает предел в 150 символов';
if (!isset($err))
{

mysql_query("UPDATE `new_year` SET `copy` = '".($gift['copy']-1)."' WHERE `id` ='$gift[id]'");
mysql_query("INSERT INTO `present_give` SET `id_user` = '".$user['id']."', `id_give` = '$ank[id]', `time` ='".time()."', `id_p` ='$gift[present]', `coment` ='$komm';");   
echo mysql_error();  
$msget = 'Вам подарок от пользователя <b>'.$user['nick'].'</b>';

mysql_query("INSERT INTO `jurnal` SET `msg` = '$msget', `id_user` = '$user[id]', `id_kont` = '$ank[id]', `time` ='".time()."'");
echo mysql_error();  
msg('Подарок подарен');
?><div class='ankus'><a href='/<?=$ank['id']?>'>В анкету</a></div><?
require_once $corec.'/sys/inc/tfoot.php';
}
}
err();
echo "<form method='post' action='?year=$ank[id]&amp;gift=$gift[id]'>\n";
echo "<div class='ankus'><center><img src='/style/podarki/$gift[present].png'></center></div><div class='ankus'>";
echo "<img src='ic_ch2.gif'>Комментарий:<br />\n<input type=\"text\" name=\"komm\" value=\"С новым годом:)\" /></div>\n";

?><div class='ankus'><?
echo "<input value=\"Подарить\" type=\"submit\" />\n";
echo "</form>\n";

echo"<a href='?user=$ank[id]&amp;dir=".intval($_GET['dir'])."'>Назад</a>";
?></div><?
}else{

$k_post=mysql_result(mysql_query("SELECT COUNT(*) FROM `new_year` WHERE `id_user` = '$user[id]'"),0);
if($k_post==0)
{
msg('У вас нет подарков');
}

$res = mysql_query("select * from `new_year` WHERE `id_user` = '$user[id]' ORDER by `id` DESC LIMIT 100"); 
while ($post = mysql_fetch_array($res)){
$gifter=mysql_fetch_array(mysql_query("select * from `present_list` where `id`='".intval($post['present'])."'"));
echo '<div class="ankus">';
echo "<img src='/style/podarki/$post[present].png'><br />  ".img('index2/img.png')."<a href='?year=$ank[id]&amp;gift=$post[id]'>".htmlspecialchars($gifter[name])."</a> [<b>Осталось</b>:<i>".intval($post['copy'])."</i>]<br />";
echo "</div>\n";
}
}




?></div></div><?
require_once $corec.'/sys/inc/tfoot.php';
?>